import request from '@/utils/request'

// 查询报修列表
export function listRepairs(query) {
  return request({
    url: '/business/repairs/list',
    method: 'get',
    params: query
  })
}

// 查询报修详细
export function getRepairs(repairsId) {
  return request({
    url: '/business/repairs/' + repairsId,
    method: 'get'
  })
}

// 新增报修
export function addRepairs(data) {
  return request({
    url: '/business/repairs',
    method: 'post',
    data: data
  })
}

// 修改报修
export function updateRepairs(data) {
  return request({
    url: '/business/repairs',
    method: 'put',
    data: data
  })
}

// 删除报修
export function delRepairs(repairsId) {
  return request({
    url: '/business/repairs/' + repairsId,
    method: 'delete'
  })
}
